/**
 * This file contains the starting point of the bot program. This is
 * where the basic configuration is done.
 *
 * For help on command line options, start the bot with the option 'help'.
 */

import java.io.IOException;

import ircbot.*;

public class MyBot extends IRCBotConfig
{
    /**
     * There is no need to change this constructor.
     */
    public MyBot(String[] args)
    {
        super(args);
    }

    /**
     * These methods should be changed to return your personal information.
     */
    public String getIrcNetwork()      { return "irc.some.net"; }
    public String getBotName()         { return "MyBotName"; } 
    public String getBotNickPassword() { return null; /* Or password if needed */ }
    public String getBotInfoText()     { return "I didn't change the info message!"; }
    public String getOperatorNick()    { return "myNick"; }

    /**
     * There is no need to change the main method.
     */
    public static void main(String[] args)
    {
        IRCBot myBot = new IRCBot(new MyBot(args));

        try {
            myBot.connect();
            myBot.doTheBotThing();
            myBot.quit();
        }
        catch(IOException e) {
            System.err.println("[main: " + e.getClass() + "] " +
                    e.getMessage());
        }
    }
}
