package ircbot;

import java.net.*;
import java.io.*;

public class HTTP
{
    public static String readURL(String urlTxt)
    {
        String reply = "";

        try
        {
            URL url = new URL(urlTxt);
            InputStream in = url.openStream();
            BufferedInputStream bufIn = new BufferedInputStream(in);
            int data;

            while ((data = bufIn.read()) != -1)
                reply += (char)data;
        }
        catch (MalformedURLException mue)
        {
            return "Invalid URL: " + urlTxt;
        }
        catch (IOException ioe)
        {
            return "I/O Error - " + ioe;
        }

        return reply;
    }

    public static String filterTags(String html)
    {
        String txt = "";
        boolean printIt = true;

        for (int i = 0; i < html.length(); i++)
        {
            if (printIt)
            {
                if (html.charAt(i) == '<') {
                    printIt = false;
                    if (html.substring(i).startsWith("<br>") ||
                        html.substring(i).startsWith("<br/>") ||
                        html.substring(i).startsWith("<p>") &&
                        !txt.endsWith("\n"))
                        txt += '\n';
                }
                else if (html.charAt(i) != '\n')
                    txt += html.charAt(i);
            }
            else if (html.charAt(i) == '>')
                printIt = true;
        }

        return txt;
    }

    public static String grepXMLTag(String xml, String tagName)
    {
        String txt = "";

        for (int i = xml.indexOf("<" + tagName + ">");
             i != -1;
             i = xml.indexOf("<" + tagName + ">", i + 1))
        {
            int end = xml.indexOf("</" + tagName + ">", i);
            txt += xml.substring(i + tagName.length() + 2, end) + "\n";
        }

        return txt;
    }

    public static String toHTML(String text)
    {
        String html = "";

        for (int i = 0; i < text.length(); i++)
        {
            switch (text.charAt(i)) {
            case '<': html += "&lt;"; break;
            case '>': html += "&gt;"; break;
            case '&': html += "&amp;"; break;
            case 'å': html += "&aring;"; break;
            case 'ä': html += "&auml;"; break;
            case 'ö': html += "&ouml;"; break;
            case 'Å': html += "&Aring;"; break;
            case 'Ä': html += "&Auml;"; break;
            case 'Ö': html += "&Ouml;"; break;
            default: html += text.charAt(i);
            }
        }

        return html;
    }
}
