package ircbot;

public class IRCEvent implements Comparable<IRCEvent>
{
    private IRCChannel channel;
    private IRCBotModule module;
    private long activationTime;

    public IRCEvent(IRCChannel ch, IRCBotModule mod, long time)
    {
        channel = ch;
        module = mod;
        activationTime = time;
    }

    public IRCChannel getChannel()
    {
        return channel;
    }

    public IRCBotModule getModule()
    {
        return module;
    }

    public long getActivationTime()
    {
        return activationTime;
    }

    public String activateEvent()
    {
        return module.activateEvent(channel);
    }

    public int compareTo(IRCEvent event)
    {
        return (int)(activationTime - event.getActivationTime());
    }

    public String toString()
    {
        return getActivationTime() + ":" + getModule();
    }
}
