package ircbot;

/**
 * This is a reader that takes messages from standard in and adds the
 * necessary control structure to create an IRC message that the bot
 * can read.
 */

import java.io.*;

public class IRCReader extends BufferedReader
{
    private String defNick;
    private String defChannel;

    public IRCReader(String nick, String channel)
    {
        super(new InputStreamReader(System.in));
        defNick = nick;
        defChannel = channel;
    }

    public String readLine() throws IOException
    {
        String commandline = super.readLine();

        return ":" + defNick + "!name@host PRIVMSG " + defChannel + " :" +
            commandline;
    }
}
