package ircbot.modules;

import ircbot.*;

/**
 * This class is a simple example of what a module shall look like. It
 * only implements the required methods from the interface (the ones
 * not implemented by the AbstractIRCBotModule class).
 */
public class Echo extends AbstractIRCBotModule
{
    public Echo()
    {
        addCommand(Modules.CommandType.PUBLIC, "!echo");
    }

    public String getModuleName()
    {
        return "Echo";
    }

    public String action( IRCMessage message )
    {
        return message.getParams();
    }

    public String getDescription( String topic, Language lang )
    {
        if (topic.equals(getModuleName().toLowerCase())) {
            return Language.select(lang, "Ekar meddelanden.",
                                   "Echoes messages");
        }
        else
            return "!echo --- " +
                Language.select(lang, "Givet ett meddelande skickas samma sak tillbaka.",
                                "Given a message, the same message is echoed.");
    }

    public String getAuthor()
    {
        return "Jesper Wilhelmsson";
    }
}
