package ircbot.modules;

import ircbot.*;

public class Events extends AbstractIRCBotModule
{
    public Events()
    {
        addCommand(Modules.CommandType.BOTOP, "!events");
    }

    public String getModuleName()
    {
        return "Events";
    }

    public String action(IRCMessage message)
    {
        if (message.getBotCommand().equals("!events")) {
            return IRCBot.makeList(getModuleHandler().getBot().getEvents());
        }

        return null;
    }

    public String getDescription(String topic, Language lang)
    {
        if (topic.equals(getModuleName().toLowerCase()))
            return "Denna modul tillhandahåller ett gränssnitt för att " +
                "administrera händelser som schemaläggs i boten. Alla " +
                "moduler kan själva lägga till och ta bort händelser så " +
                "allt är egentligen helt automatiskt. Detta gränssnitt " +
                "ger dock en möjlighet att övervaka händelser och ta bort " +
                "dem om någon modul löper amok.";
        else if (topic.equals("!events"))
            return "!events --- Ger en lista över alla schemalagda händelser.";
        else
            return null;
    }

    public String getAuthor()
    {
        return "Jesper Wilhelmsson";
    }
}
