package ircbot.modules;

import ircbot.*;

public class News extends AbstractIRCBotModule
{
    private String oldNews;

    public News()
    {
        addCommand( Modules.CommandType.PUBLIC, "!news" );
    }

    public String getModuleName()
    {
        return "News";
    }

    public String action( IRCMessage message )
    {
        String url = "http://news.amigarulez.com/backend.php";
        String htmlPage = HTTP.readURL(url);
        String text = HTTP.grepXMLTag(htmlPage, "title");
        String[] all = text.split("\n");
        return all[1].trim() + '\n' + all[2].trim() + '\n' +
            all[3].trim() + '\n' + all[4].trim() + '\n' + all[5].trim();
    }

    public String activateEvent( IRCChannel channel )
    {
        String url = "http://news.amigarulez.com/backend.php";
        String htmlPage = HTTP.readURL(url);
        String text = HTTP.grepXMLTag(htmlPage, "title");
        String[] all = text.split("\n");
        scheduleEvent(channel, Time.MIN_10);

        if ( all.length < 2 )
            return null;

        if ( oldNews == null )
            oldNews = all[1];
        else if ( !oldNews.equals(all[1]) ) {
            oldNews = all[1];
            return "Nytt på AmigaRulez: " + oldNews;
        }
        return null;
    }

    public String getDescription( String topic, Language lang )
    {
        if ( topic.equals(getModuleName().toLowerCase()) )
            return "Denna modul lyssnar på AmigaRulez nyhets-RSS och ger dig de senaste rubrikerna.";
        else if ( topic.equals("!news") )
            return "!news --- Ger dig de senaste nyheterna från AmigaRulez.";
        else
            return null;
    }

    public String getAuthor()
    {
        return "Jesper Wilhelmsson";
    }
}
