package ircbot.modules;

import ircbot.*;

public class Wiki extends AbstractIRCBotModule
{
    public Wiki()
    {
        addCommand(Modules.CommandType.PUBLIC, "!wiki");
    }

    public String getModuleName()
    {
        return "Wikipedia";
    }

    public String action( IRCMessage message )
    {
        if (message.getParams() == null)
            return "Ange uppslagsord är du snäll.";

        String baseurl = "http://wapedia.mobi";
        String url = "/en/" + webify(message.getParams());
        String htmlPage = HTTP.readURL(baseurl + url);
        String text = HTTP.filterTags(htmlPage);
        int nextPos;
        String result = "";

        if (text.startsWith("\nContents:"))
        {
            int linkPos = htmlPage.indexOf("<a href=") + 9;
            url = htmlPage.substring(linkPos, htmlPage.indexOf("\"", linkPos));
            htmlPage = HTTP.readURL(baseurl + url);
            text = HTTP.filterTags(htmlPage);
        }

        do {
            //System.out.println(htmlPage);
            //System.out.println("-----------------------------------------");

            int lt = text.indexOf("&lt;&lt;");
            if (lt > 0)
                text = text.substring(0, text.lastIndexOf(".", lt) + 1);

            nextPos = htmlPage.indexOf("Next&gt;&gt;</a>");

            int endPage = text.indexOf(". See also");
            if (endPage == -1)
                endPage = text.indexOf(". References");

            if (endPage > 0) {
                text = text.substring(0, text.lastIndexOf("\n", endPage));
                nextPos = -1;
            }

            result += text;

            if (nextPos != -1) {
                int linkPos = htmlPage.lastIndexOf("<a href=", nextPos) + 9;
                url = htmlPage.substring(linkPos,
                                         htmlPage.indexOf("\"", linkPos));
                htmlPage = HTTP.readURL(baseurl + url);
                text = HTTP.filterTags(htmlPage);
            }
        } while (nextPos != -1);

        return result;
    }

    private String webify(String text)
    {
        String newText = "";

        for (int i = 0; i < text.length(); i++)
        {
            char ch = text.charAt(i);
            switch (ch)
            {
                case ' ': ch = '_'; break;
            }
            newText += ch;
        }

        return newText;
    }

    public String getDescription(String topic, Language lang)
    {
        if (topic.equals(getModuleName().toLowerCase()))
            return "Denna modul slår upp sökord i Wikipedia.";
        else if (topic.equals("!wiki"))
            return "!wiki <ord> --- Slår upp 'ord' i wikipedia och skriver " +
                "ut en del av beskrivningen.";
        else
            return null;
    }

    public String getAuthor()
    {
        return "Jesper Wilhelmsson";
    }
}
